package com.mortals.xhx.module.sitestat.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.sitestat.model.vo.SitestatVo;
/**
* 站点统计实体对象
*
* @author zxfei
* @date 2022-07-01
*/

public class SitestatEntity extends SitestatVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点Id，来源基础服务平台
    */
    private Long siteId;
    /**
    * 站点编号，来源基础服务平台
    */
    private String siteCode;
    /**
    * 站点名称
    */
    private String siteName;
    /**
    * 设备总数
    */
    private Integer deviceTotal;
    /**
    * 在线数量
    */
    private Integer onlineCount;
    /**
    * 离线数量
    */
    private Integer offlineCount;
    /**
    * 停用数量
    */
    private Integer stopCount;
    /**
    * 待激活数量
    */
    private Integer unActiveCount;



    public SitestatEntity(){}
    /**
    * 获取 站点Id，来源基础服务平台
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点Id，来源基础服务平台
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 站点编号，来源基础服务平台
    * @return String
    */
    public String getSiteCode(){
        return siteCode;
    }
    /**
    * 设置 站点编号，来源基础服务平台
    * @param siteCode
    */
    public void setSiteCode(String siteCode){
        this.siteCode = siteCode;
    }
    /**
    * 获取 站点名称
    * @return String
    */
    public String getSiteName(){
        return siteName;
    }
    /**
    * 设置 站点名称
    * @param siteName
    */
    public void setSiteName(String siteName){
        this.siteName = siteName;
    }
    /**
    * 获取 设备总数
    * @return Integer
    */
    public Integer getDeviceTotal(){
        return deviceTotal;
    }
    /**
    * 设置 设备总数
    * @param deviceTotal
    */
    public void setDeviceTotal(Integer deviceTotal){
        this.deviceTotal = deviceTotal;
    }
    /**
    * 获取 在线数量
    * @return Integer
    */
    public Integer getOnlineCount(){
        return onlineCount;
    }
    /**
    * 设置 在线数量
    * @param onlineCount
    */
    public void setOnlineCount(Integer onlineCount){
        this.onlineCount = onlineCount;
    }
    /**
    * 获取 离线数量
    * @return Integer
    */
    public Integer getOfflineCount(){
        return offlineCount;
    }
    /**
    * 设置 离线数量
    * @param offlineCount
    */
    public void setOfflineCount(Integer offlineCount){
        this.offlineCount = offlineCount;
    }
    /**
    * 获取 停用数量
    * @return Integer
    */
    public Integer getStopCount(){
        return stopCount;
    }
    /**
    * 设置 停用数量
    * @param stopCount
    */
    public void setStopCount(Integer stopCount){
        this.stopCount = stopCount;
    }
    /**
    * 获取 待激活数量
    * @return Integer
    */
    public Integer getUnActiveCount(){
        return unActiveCount;
    }
    /**
    * 设置 待激活数量
    * @param unActiveCount
    */
    public void setUnActiveCount(Integer unActiveCount){
        this.unActiveCount = unActiveCount;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SitestatEntity) {
            SitestatEntity tmp = (SitestatEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",siteCode:").append(getSiteCode());
        sb.append(",siteName:").append(getSiteName());
        sb.append(",deviceTotal:").append(getDeviceTotal());
        sb.append(",onlineCount:").append(getOnlineCount());
        sb.append(",offlineCount:").append(getOfflineCount());
        sb.append(",stopCount:").append(getStopCount());
        sb.append(",unActiveCount:").append(getUnActiveCount());
        return sb.toString();
    }

    public void initAttrValue(){

            this.siteId = null;

            this.siteCode = "";

            this.siteName = "";

            this.deviceTotal = null;

            this.onlineCount = null;

            this.offlineCount = null;

            this.stopCount = null;

            this.unActiveCount = null;
    }
}